Subject: Re: linux-next: manual merge of the driver-core tree with the block tree

From: Greg KH <[email-masked]>
Date: Mon, 5 Dec 2022 09:03:18 +0100

On Mon, Dec 05, 2022 at 01:11:52PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the driver-core tree got a conflict in:
> 
>   include/linux/blkdev.h
>   drivers/block/pktcdvd.c
> 
> between commits:
> 
>   f40eb99897af ("pktcdvd: remove driver.")
>   85d6ce58e493 ("block: remove devnode callback from struct block_device_operations")
> 
> from the block tree and commit:
> 
>   be7e8b917ead ("blkdev: make struct block_device_operations.devnode() take a const *")
> 
> from the driver-core tree.
> 
> I fixed it up (I removed pktcdvd.c and used blkdev.h from the former tree)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

As it was me who wrote all of the above patches, I knew this would
conflict, sorry about that :)

And thanks for the resolution, using the block tree's versions is
correct.

greg k-h